import React from 'react';
import BuySell from './BuySell';

const Hero = () => {
  return (
    <div className="relative w-full">
      <div className="relative min-h-[60vh] sm:min-h-[70vh] lg:min-h-[80vh] flex flex-col">
        <img
          src="/hero-bg.png"
          alt="Hero background"
          className="absolute inset-0 w-full h-full object-cover"
        />
        <div className="relative flex-1 flex flex-col items-center px-4 sm:px-6 lg:px-8 pt-4 sm:pt-6 lg:pt-8 pb-8 sm:pb-12">
          <h1 className="font-semibold text-2xl sm:text-3xl lg:text-4xl text-center text-white max-w-3xl">
            Easy way to find a perfect Land
          </h1>
          <p className="font-normal text-lg sm:text-xl text-center text-white mt-4 max-w-2xl">
            We provide a complete service for the sale, purchase or Lease of Lands.
          </p>
          <div className="w-full mt-8 sm:mt-12">
            <BuySell />
          </div>
        </div>
      </div>
    </div>
  );
};

export default Hero;